<?php
// Include the database connection file
include 'mysql_connect.php';

// Retrieve the employee number from the POST data
$employeeNumber = $_POST['employeeNumber'];

// Prepare and execute the query to fetch employee details
$query = "SELECT * FROM employees WHERE employeeNumber = ?";
// Reference for prepare: https://www.php.net/manual/en/mysqli.prepare.php
$stmt = $dbc->prepare($query);
// Binds the integer type parameter to the query: https://www.php.net/manual/en/mysqli-stmt.bind-param.php
$stmt->bind_param('i', $employeeNumber); 
// Executes the prepared SQL statement : https://www.php.net/manual/en/mysqli-stmt.execute.php
$stmt->execute();
// Get the results from the executed query: https://www.php.net/manual/en/mysqli-stmt.get-result.php
$result = $stmt->get_result();

// Check if any results were found: https://www.php.net/manual/en/mysqli-result.num-rows.php
if ($result->num_rows > 0) {
    // Fetch and display employee details : https://www.php.net/manual/en/mysqli-result.fetch-assoc.php
    while ($row = $result->fetch_assoc()) {
        echo "<h2>Employee Details</h2>";
        echo "Name: " . htmlspecialchars($row['firstName']) . " " . htmlspecialchars($row['lastName']) . "<br>";
        echo "Job Title: " . htmlspecialchars($row['jobTitle']) . "<br>";
    }
} else {
    // Display a message if no employee is found
    echo "No employee found with Employee Number: " . htmlspecialchars($employeeNumber);
}
?>
